/**
 * Module EiCaptcha
 *(Re)Captcha pour Prestashop
 *
 *  h-hennes 2013-2014
 * @version 0.2.0 
 * http://www.h-hennes.fr/blog/
 */
 
$(document).ready(function(){

	var validationPassed = false;
	var test=0;
	
	/**
	 * Mise en place du captcha sur la page de cration de compte
	 * Vrification du captcha au submit
	 * Vrification du captcha au submit
	 */
	$("#submitAccount").live("click",function(){
		
		if ( validationPassed )
			$(formClass).submit();
				
		if ( $(".load").length )
			$(".load").html("").html(waiting_message);
		else	
			$(this).after("<div class=\"load\">"+waiting_message+"</div>");
		
		$.ajax({
			method : "POST",
			url : checkCaptchaUrl,
			data : "action=validate_captcha&recaptcha_challenge_field="+$("#recaptcha_challenge_field").val()+"&recaptcha_response_field="+$("#recaptcha_response_field").val(),
			success : function(msg){
				$(".load").html("");
				if ( msg != "") {
				  $(errorSelector).remove();	
				  $(formSelector).before(msg);
				  if ( $(errorSelector).length )
					$("html, body").animate({scrollTop:$(errorSelector).offset().top  },"slow");  
				}
				else {
				 if ( $(errorSelector).length )
					$(errorSelector).remove();
					
					validationPassed = true;
					$(formSelector).append("<input type=\'hidden\' name=\'submitAccount_x\' value=\'send\' />");
					$(formSelector).submit();
				}
			}
		});
		return false;
	});
});